#include "ControlledMeshNode.h"

ControlledMeshNode::ControlledMeshNode(wstring name, wstring modelName) : MeshNode(name, modelName), ObjectNode()
{
}

void ControlledMeshNode::Update(FXMMATRIX& currentWorldTransformation)
{	
	MeshNode::Update(currentWorldTransformation);
	ObjectNode::Update(_worldTransformation);	
}

bool ControlledMeshNode::Initialise(void)
{
	if (!MeshNode::Initialise())
	{
		return false;
	}
	return true;
}

XMMATRIX ControlledMeshNode::GetWorldTransformation() const
{
	return XMLoadFloat4x4(&_combinedWorldTransformation);
}